Name: mc
Version: 4.8.20
Release: 7
License: GPL-3.0-or-later
Summary: Midnight Commander
Url: https://midnight-commander.org/

Source0: https://github.com/MidnightCommander/mc/archive/%{version}.tar.gz
Patch0: mc_configure.ac.patch
Patch1: mc_common.c.patch


BuildRequires: bison
BuildRequires: pcre-devel
BuildRequires: pkg-config
BuildRequires: libxslt-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: m4-gnu
BuildRequires: gettext-tools
BuildRequires: gettext-runtime
BuildRequires: libtool
BuildRequires: libutil-devel >= 0.6
BuildRequires: glib2-devel
BuildRequires: slang-devel

%description
GNU Midnight Commander is a visual file manager, licensed under GNU General Public License and therefore qualifies as Free Software. It's a feature rich full-screen text mode application that allows you to copy, move and delete files and whole directory trees, search for files and run commands in the subshell. Internal viewer and editor are included. 

%prep
%setup
echo about to apply patches
%patch0 -p1
%patch1 -p1

%build

./autogen.sh

%define _host powerpc64-ibm-os400

%configure    \
    LDFLAGS="-Wl,-bbigtoc -Wl,-brtl -pthread -lutil -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    CPPFLAGS="$CPPFLAGS -I%{_includedir} -pthread -DHAVE_CLOCK_GETTIME"  \
    CFLAGS="$CFLAGS -pthread" \
    --enable-shared=yes \ 
    #end

ls -l

%define _smp_ncpus_max 0

%make_build


%install

%make_install INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%defattr(-, qsys, *none)
%{_bindir}/mc*
%{_libexecdir}/mc
%{_sysconfdir}/mc
%{_datadir}/mc
%{_mandir}/man1/mc*
%{_mandir}/es/man1/mc.1
%{_mandir}/hu/man1/mc.1
%{_mandir}/it/man1/mc.1
%{_mandir}/pl/man1/mc.1
%{_mandir}/ru/man1/mc.1
%{_mandir}/sr/man1/mc.1
%{_datadir}/locale/az/LC_MESSAGES/mc.mo
%{_datadir}/locale/be/LC_MESSAGES/mc.mo
%{_datadir}/locale/bg/LC_MESSAGES/mc.mo
%{_datadir}/locale/ca/LC_MESSAGES/mc.mo
%{_datadir}/locale/cs/LC_MESSAGES/mc.mo
%{_datadir}/locale/da/LC_MESSAGES/mc.mo
%{_datadir}/locale/de/LC_MESSAGES/mc.mo
%{_datadir}/locale/de_CH/LC_MESSAGES/mc.mo
%{_datadir}/locale/el/LC_MESSAGES/mc.mo
%{_datadir}/locale/en_GB/LC_MESSAGES/mc.mo
%{_datadir}/locale/eo/LC_MESSAGES/mc.mo
%{_datadir}/locale/es/LC_MESSAGES/mc.mo
%{_datadir}/locale/et/LC_MESSAGES/mc.mo
%{_datadir}/locale/eu/LC_MESSAGES/mc.mo
%{_datadir}/locale/fa/LC_MESSAGES/mc.mo
%{_datadir}/locale/fi/LC_MESSAGES/mc.mo
%{_datadir}/locale/fr/LC_MESSAGES/mc.mo
%{_datadir}/locale/fr_CA/LC_MESSAGES/mc.mo
%{_datadir}/locale/gl/LC_MESSAGES/mc.mo
%{_datadir}/locale/hr/LC_MESSAGES/mc.mo
%{_datadir}/locale/hu/LC_MESSAGES/mc.mo
%{_datadir}/locale/ia/LC_MESSAGES/mc.mo
%{_datadir}/locale/id/LC_MESSAGES/mc.mo
%{_datadir}/locale/it/LC_MESSAGES/mc.mo
%{_datadir}/locale/ja/LC_MESSAGES/mc.mo
%{_datadir}/locale/ka/LC_MESSAGES/mc.mo
%{_datadir}/locale/kk/LC_MESSAGES/mc.mo
%{_datadir}/locale/ko/LC_MESSAGES/mc.mo
%{_datadir}/locale/lt/LC_MESSAGES/mc.mo
%{_datadir}/locale/lv/LC_MESSAGES/mc.mo
%{_datadir}/locale/mn/LC_MESSAGES/mc.mo
%{_datadir}/locale/nb/LC_MESSAGES/mc.mo
%{_datadir}/locale/nl/LC_MESSAGES/mc.mo
%{_datadir}/locale/pl/LC_MESSAGES/mc.mo
%{_datadir}/locale/pt/LC_MESSAGES/mc.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/mc.mo
%{_datadir}/locale/ro/LC_MESSAGES/mc.mo
%{_datadir}/locale/ru/LC_MESSAGES/mc.mo
%{_datadir}/locale/sk/LC_MESSAGES/mc.mo
%{_datadir}/locale/sl/LC_MESSAGES/mc.mo
%{_datadir}/locale/sr/LC_MESSAGES/mc.mo
%{_datadir}/locale/sv/LC_MESSAGES/mc.mo
%{_datadir}/locale/szl/LC_MESSAGES/mc.mo
%{_datadir}/locale/ta/LC_MESSAGES/mc.mo
%{_datadir}/locale/te/LC_MESSAGES/mc.mo
%{_datadir}/locale/tr/LC_MESSAGES/mc.mo
%{_datadir}/locale/uk/LC_MESSAGES/mc.mo
%{_datadir}/locale/vi/LC_MESSAGES/mc.mo
%{_datadir}/locale/wa/LC_MESSAGES/mc.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/mc.mo
%{_datadir}/locale/zh_TW/LC_MESSAGES/mc.mo


%changelog
* Fri Mar 15 2019 - Kevin Adler <kadler@us.ibm.com>
- Require libutil 0.6 (libutil.so.2)

* Wed Jan 09 2019 - Kevin Adler <kadler@us.ibm.com>
- Require fixed libutil

* Fri Aug 31 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- rebuild patches with PTY read fix, remove need to sed

* Fri Aug 31 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- spec file cleanup

* Thu Aug 16 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- enable vfs

* Wed Aug 15 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- initial commit
